Support » Installing WordPress » Warning: gzuncompress() [function.gzuncompress]: data error in /home/alianzap/pu

  • Greetings dear friends I was updating my WordPress 2.8 to 2.9 but I found the following erro to not to be

    Warning: gzuncompress() [function.gzuncompress]: data error in /home/alianzap/public_html/wp-includes/http.php on line 1831

    My site is http://www.alianzapv.com

Viewing 15 replies - 1 through 15 (of 21 total)
  • Hello Pedro

    I have also face same just before, and i got solution from this link
    Now my site working perfectly.

    Download http.php from below link .Upload to your server and replace old http:php files.

    http://core.trac.wordpress.org/export/11450/trunk/wp-includes/http.php

    I have the same problem with my site.

    Warning: gzuncompress() [function.gzuncompress]: data error in /home/rotherh/public_html/wp-includes/http.php on line 1831

    Error solved, many thanks.

    Error solved, many thanks pnavraj
    I still doubt where this error is out programming error in wordpress 2.9

    Thank you so much, pnavraj!! It worked like a champ!! Had the same error after upgrading to 2.9 last night…

    Warning: gzuncompress() [function.gzuncompress]: data error in /home/ladyp/public_html/wp-includes/http.php on line 1831

    Happy Holidays, Merry Christmas – whatever you celebrate, hope you have a great time!

    Hugs, Patty

    Moderator Ipstenu (Mika Epstein)

    (@ipstenu)

    🏳️‍🌈 Halfelf Rogue & Plugin Review Team Rep

    How odd… Had to download that file for all my blogs too. A bit strange of an error, everything worked by the log was filled.

    Yep, me too. Just upgraded to 2.9 and got the same error.

    Is this a bug in the release?

    I’m using Yoast Breadcrumbs and this error is being flagged in the dashboard under ‘Latest News from Yoast’. Anybody else getting this? Only I was wondering if there was any connection.

    Anyway, for now I’ll be patching the problem with the http.php file download.

    Moderator Ipstenu (Mika Epstein)

    (@ipstenu)

    🏳️‍🌈 Halfelf Rogue & Plugin Review Team Rep

    I’m not using that plugin and I got the error on four blogs, one of which has only Akismit for a plugin.

    Works like a charm across 5+ sites. Must be a bug in the release, eh?

    Moderator Ipstenu (Mika Epstein)

    (@ipstenu)

    🏳️‍🌈 Halfelf Rogue & Plugin Review Team Rep

    Looks like a bug.

    From miqrogroove

    The final results are in, and it looks like a last-minute change to the WordPress 2.9 package stepped on a very obscure “feature” of the PHP cURL library. Those goodies are implemented in the packaged file named wp-includes/http.php.

    This patch is waiting for core approval now, but I wanted to put it up here in case anyone needs an alternative to the stop-gap solution from earlier tonight.

    http://core.trac.wordpress.org/attachment/ticket/11505/ticket-11505-full.patch

    Everyone give a big happy Thank You to fellow blogger and forum member ptmccain who tolerated my intrusions on his server for the better part of the evening to get this figured out.

    Moderator Ipstenu (Mika Epstein)

    (@ipstenu)

    🏳️‍🌈 Halfelf Rogue & Plugin Review Team Rep

    Try the 2.9.1 beta and help us test it!

    Moderator Ipstenu (Mika Epstein)

    (@ipstenu)

    🏳️‍🌈 Halfelf Rogue & Plugin Review Team Rep

    FYI, this problem still exists on 2.9.1 Beta1

    I opened http://core.trac.wordpress.org/ticket/11600 to address it. Please add in anything you think I’m missing from that trac.

    Moderator Ipstenu (Mika Epstein)

    (@ipstenu)

    🏳️‍🌈 Halfelf Rogue & Plugin Review Team Rep

    I am trying to learn everything, but I was wondering if you could explain how you Upload to your server and replace old http:php files. I keep seeing this every where.. Just needing to know the steps to this procedure.. I am using a MAc… Thank you..
    I have this problem in my website also
    http://www.julieelder.com

    Moderator Ipstenu (Mika Epstein)

    (@ipstenu)

    🏳️‍🌈 Halfelf Rogue & Plugin Review Team Rep

    If you’re going to run self-hosted WordPress, or self-hosted anything, you should learn to use FTP. While you can skate by without learning much about Databases, FTP will save your bacon 9 times out of 10.

    There’s a Codex page on FTP clients: http://codex.wordpress.org/FTP_Clients – If you’re on a Mac, try CyberDuck. It’s free and pretty easy 🙂

    Basically you’re going to FTP to your server, navigate to the wp-includes/ folder and upload the file I linked to.

    It’s not much harder than copying a file from one folder to another on your computer. Once you log in, it’s generally straight forward.

    Alternately, you can upgrade to the 2.9.1 Release Candidate, which fixes this (and other things). See http://wordpress.org/development/2009/12/wordpress-2-9-1-release-candidate-1/

Viewing 15 replies - 1 through 15 (of 21 total)
  • The topic ‘Warning: gzuncompress() [function.gzuncompress]: data error in /home/alianzap/pu’ is closed to new replies.